Mail archive
alpine-aports

[alpine-aports] [PATCH] main/rxvt-unicode: add doc subpackage

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Fri, 14 Aug 2015 16:18:14 +0200

---
 main/rxvt-unicode/APKBUILD | 21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)
diff --git a/main/rxvt-unicode/APKBUILD b/main/rxvt-unicode/APKBUILD
index 90ee9db..e5ddd61 100644
--- a/main/rxvt-unicode/APKBUILD
+++ b/main/rxvt-unicode/APKBUILD
_at_@ -2,25 +2,25 @@
 # Maintainer: William Pitcock <nenolod_at_dereferenced.org>
 pkgname=rxvt-unicode
 pkgver=9.21
-pkgrel=1
-pkgdesc='rxvt fork with improved unicode support'
+pkgrel=2
+pkgdesc="rxvt fork with improved unicode support"
 arch=all
-url='http://software.schmorp.de/pkg/rxvt-unicode.html'
-license='GPL'
+url="http://software.schmorp.de/pkg/rxvt-unicode.html"
+license="GPL"
 depends=
 makedepends="libx11-dev libxft-dev ncurses fontconfig-dev gdk-pixbuf-dev libxrender-dev perl-dev"
+subpackages="$pkgname-doc"
 source="http://dist.schmorp.de/rxvt-unicode/$pkgname-$pkgver.tar.bz2
 	gentables.patch
 	rxvt-unicode-kerning.patch"
 
 _builddir="${srcdir}/${pkgname}-${pkgver}"
-
 prepare() {
 	cd "$_builddir"
-	local i
+	local i=
 	for i in $source; do
 		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1 ;;
 		esac
 	done
 }
_at_@ -49,14 +49,15 @@ build() {
 		--disable-wtmp \
 		--disable-lastlog \
 		|| return 1
-	make
+	make || return 1
 }
 
 package() {
-	cd "$_builddir"
 	export TERMINFO="$pkgdir/usr/share/terminfo"
 	install -d "$TERMINFO"
-	make DESTDIR="$pkgdir" install
+
+	make DESTDIR="$pkgdir" \
+		-C "$_builddir" install || return 1
 }
 
 md5sums="a9a06c608258c5fd247c3725d8f44582  rxvt-unicode-9.21.tar.bz2
-- 
2.5.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Aug 14 2015 - 16:18:14 GMT